BkCoding

A responsible theme for WordPress

解决vs2017调试出现脚本错误方法

《解决vs2017调试出现脚本错误方法》


新装的vs2017编译时出现当前页面脚本错误 url:/Community/Common7/IDE/PrivateAssemblies/plugin.vs.js


点击“是”,可以继续运行,但后续发现有可能会导致程序崩溃的情况出现,解决崩溃的办法很简单,不直接点击运行,而选择开始执行(不调试)即可,这样既然出现脚本错误,后续的操作中也不会导致程序崩溃的情况了

当然这不是彻底解决的方法

经查发现vs2017安装的系统要求中有一项关于ie的 

与 Internet 相关的方案都必须安装 Internet Explorer 11 或 Microsoft Edge。 某些功能可能无法运行,除非安装了这些程序或更高版本。

看到这个我们知道原来是因为ie版本太低才导致出现这个脚本错误的问题

彻底解决方法:删了报错的脚本或升级ie至最新


点赞

发表评论

电子邮件地址不会被公开。 必填项已用*标注